OpenJPEG: codestream_manager.h File Reference

OpenJPEG 2.3.1

Data Structures | Typedefs | Functions
codestream_manager.h File Reference
`#include "byte_manager.h"`

Go to the source code of this file.

## Data Structures
struct | codestream_param
| codestream parameters More...

## Typedefs
typedef struct codestream_param | codestream_param_t
| codestream parameters More...

## Functions
codestream_param_t | set_codestream (int fd, OPJ_OFF_T offset, OPJ_SIZE_T length)
| set codestream parameters from inputs More...
Byte_t * | fetch_codestreambytes (codestream_param_t *cs, OPJ_OFF_T offset, OPJ_SIZE_T size)
| fetch Codestream bytes of data in file stream More...
Byte_t | fetch_codestream1byte (codestream_param_t *cs, OPJ_OFF_T offset)
| fetch Codestream 1-byte Byte code in file stream More...
Byte2_t | fetch_codestream2bytebigendian (codestream_param_t *cs, OPJ_OFF_T offset)
| fetch Codestream 2-byte big endian Byte codes in file stream More...
Byte4_t | fetch_codestream4bytebigendian (codestream_param_t *cs, OPJ_OFF_T offset)
| fetch Codestream 4-byte big endian Byte codes in file stream More...
void | print_codestream (codestream_param_t cs)
| print codestream parameters More...

## Typedef Documentation

## ◆ codestream_param_t

typedef struct codestream_param codestream_param_t

codestream parameters

## Function Documentation

## ◆ fetch_codestream1byte()

Byte_t fetch_codestream1byte | ( | codestream_param_t * | cs,
|  | OPJ_OFF_T | offset
| ) |  |

fetch Codestream 1-byte Byte code in file stream

Parameters

  [in] | cs | codestream pointer
  [in] | offset | start Byte position in codestream

Returns
  fetched code

References codestream_param::fd, fetch_1byte(), and codestream_param::offset.

Referenced by fetch_marker1byte().

## ◆ fetch_codestream2bytebigendian()

Byte2_t fetch_codestream2bytebigendian | ( | codestream_param_t * | cs,
|  | OPJ_OFF_T | offset
| ) |  |

fetch Codestream 2-byte big endian Byte codes in file stream

Parameters

  [in] | cs | codestream pointer
  [in] | offset | start Byte position in codestream

Returns
  fetched code

References codestream_param::fd, fetch_2bytebigendian(), and codestream_param::offset.

Referenced by fetch_marker2bytebigendian().

## ◆ fetch_codestream4bytebigendian()

Byte4_t fetch_codestream4bytebigendian | ( | codestream_param_t * | cs,
|  | OPJ_OFF_T | offset
| ) |  |

fetch Codestream 4-byte big endian Byte codes in file stream

Parameters

  [in] | cs | codestream pointer
  [in] | offset | start Byte position in codestream

Returns
  fetched code

References codestream_param::fd, fetch_4bytebigendian(), and codestream_param::offset.

Referenced by fetch_marker4bytebigendian().

## ◆ fetch_codestreambytes()

Byte_t* fetch_codestreambytes | ( | codestream_param_t * | cs,
|  | OPJ_OFF_T | offset,
|  | OPJ_SIZE_T | size
| ) |  |

fetch Codestream bytes of data in file stream

Parameters

  [in] | cs | codestream pointer
  [in] | offset | start Byte position in codestream
  [in] | size | Byte length

Returns
  pointer to the fetched data

References codestream_param::fd, fetch_bytes(), and codestream_param::offset.

## ◆ print_codestream()

void print_codestream | ( | codestream_param_t | cs | ) |

print codestream parameters

Parameters

  [in] | cs | codestream

References codestream_param::fd, codestream_param::length, logstream, and codestream_param::offset.

## ◆ set_codestream()

codestream_param_t set_codestream | ( | int | fd,
|  | OPJ_OFF_T | offset,
|  | OPJ_SIZE_T | length
| ) |  |

set codestream parameters from inputs

Parameters

  [in] | fd | file descriptor
  [in] | offset | offset in the file
  [in] | length | codestream length

Returns
  structure of generated codestream parameters

References codestream_param::fd, codestream_param::length, and codestream_param::offset.

Referenced by set_cidxdata().